Subject: Follow up

From: Andrew Myers <[email-masked]>
Date: Thu, 17 Mar 2011 12:20:32 -0400

It appears that this was caused by a patch to the Allegro elisp files made
by one of our developers.  I attached to the Allegro lisp process with gdb
and saw that it was also hung on __select_nocancel().
The patch to elisp removed an initialization message from emacs to the alisp
subprocess.  My best guess right now is that this meant Allegro caught a
message meant for emacs through an inherited file descriptor.  Is this
possible?
Thanks,
Andrew Myers